Get token information by contract address
curl --request GET \
--url https://api.akka.finance/{chainId}/tokens/{address} \
--header 'apikey: <api-key>'const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://api.akka.finance/{chainId}/tokens/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.akka.finance/{chainId}/tokens/{address}"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"symbol": "UNI",
"name": "Uniswap",
"decimals": 18,
"address": "0x1f9840a85d5af5bf1d1762f925bdaddc4201f984",
"logoUri": "https://tokens.1inch.io/0x1f9840a85d5af5bf1d1762f925bdaddc4201f984.png",
"verified": true,
"buyPriceUsd": 3.45,
"sellPriceUsd": 3.44
}{
"statusCode": 400,
"message": "Not enough balance. Current balance: 500000000000000000",
"error": "Bad Request",
"timestamp": "2024-01-01T12:00:00.000Z",
"path": "/partner/v1/999/quote"
}{
"statusCode": 400,
"message": "Not enough balance. Current balance: 500000000000000000",
"error": "Bad Request",
"timestamp": "2024-01-01T12:00:00.000Z",
"path": "/partner/v1/999/quote"
}Tokens
Get Token by Address
Retrieve detailed information about a specific token using its smart contract address. Returns comprehensive token data including symbol, name, decimals, logo URI, verification status, and trading metadata.
GET
/
{chainId}
/
tokens
/
{address}
Get token information by contract address
curl --request GET \
--url https://api.akka.finance/{chainId}/tokens/{address} \
--header 'apikey: <api-key>'const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://api.akka.finance/{chainId}/tokens/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.akka.finance/{chainId}/tokens/{address}"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"symbol": "UNI",
"name": "Uniswap",
"decimals": 18,
"address": "0x1f9840a85d5af5bf1d1762f925bdaddc4201f984",
"logoUri": "https://tokens.1inch.io/0x1f9840a85d5af5bf1d1762f925bdaddc4201f984.png",
"verified": true,
"buyPriceUsd": 3.45,
"sellPriceUsd": 3.44
}{
"statusCode": 400,
"message": "Not enough balance. Current balance: 500000000000000000",
"error": "Bad Request",
"timestamp": "2024-01-01T12:00:00.000Z",
"path": "/partner/v1/999/quote"
}{
"statusCode": 400,
"message": "Not enough balance. Current balance: 500000000000000000",
"error": "Bad Request",
"timestamp": "2024-01-01T12:00:00.000Z",
"path": "/partner/v1/999/quote"
}Use this endpoint to look up a specific token’s metadata when you already have its contract address. Returns the same data as the token list endpoint, but for a single token.
Authorizations
Path Parameters
Response
Successfully retrieved detailed token information including metadata and trading data
